---
# file: roles/d7.unifi/tasks/main.yml

- name: Set OS dependent variables
  include_vars: "{{ item }}"
  with_first_found:
   - "{{ ansible_distribution }}_{{ ansible_distribution_major_version }}.yml"
   - "{{ ansible_distribution }}.yml"
   - "{{ ansible_os_family }}_{{ ansible_distribution_major_version }}.yml"
   - "{{ ansible_os_family }}.yml"
   - default.yml

- name: OS is supported
  assert:
    that: unifi__supported|bool

- name: Run OS-specific tasks
  include: "{{ item }}"
  with_first_found:
   - "{{ ansible_distribution }}_{{ ansible_distribution_major_version }}.yml"
   - "{{ ansible_distribution }}.yml"
   - "{{ ansible_os_family }}_{{ ansible_distribution_major_version }}.yml"
   - "{{ ansible_os_family }}.yml"
   - default.yml

- name: Install Unifi Controller Software
  become: yes
  package:
    name: "{{ item }}"
    state: present
  with_items:
    - "{{ unifi__packages }}"

- name: Enable unifi daemon on bootup
  service:
    name: "{{ unifi__service }}"
    state: started
    enabled: yes

- name: Check if Certificate is installed
  java_cert:
    cert_path: "{{ unifi__cert_path }}"
    cert_alias: unifi
    keystore_path: '{{ unifi__keystore_buildfile }}'
    keystore_pass: aircontrolenterprise
    keystore_create: no
    state: present
  register: unifi__register_keystore

- name: Import Controller Key
  import_tasks: jks.yml
  when: unifi__register_keystore.changed and unifi__keystore_install|bool

...
